# 需要修改
# change、spring.datasource、spring.redis
change:
  # 快递100 参数
  kuaidi-ozz:
    callback-url: 'http://keyfil.texous.cn/callback/kuaidiOzz'
    customer: C6E7EB413784823FA9518675EAE9C937
    key: XGGCirbf4175
    secret: a94dcc1d34d84494846d71d5c7a15c97
  # Track123 参数
  track-ott:
    api-secret: 5d209e731b344fb6bb3ffae20b142258

logging:
  level:
    root: DEBUG
    org.springframework.web: DEBUG
    org.springframework.security: DEBUG
    org.springframework.security.oauth2: DEBUG
    com.yuanmeng: debug

mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

spring:
  datasource:
    #url: jdbc:mysql://10.168.2.187:30306/qifu_saas_wms?rewriteBatchedStatements=true&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&useSSL=false&allowMultiQueries=true
    url: jdbc:mysql://mysql:3306/dev_qifu_saas_eg?rewriteBatchedStatements=true&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&useSSL=false&allowMultiQueries=true
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: qifu@2023
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      initial-size: 5
      min-idle: 5
      max-active: 20
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      min-evictable-idle-time-millis: 300000
      filter:
        stat: # 配置 StatFilter ，对应文档 https://github.com/alibaba/druid/wiki/%E9%85%8D%E7%BD%AE_StatFilter
          log-slow-sql: true # 开启慢查询记录
          slow-sql-millis: 2000 # 慢 SQL 的标准，单位：毫秒
          merge-sql: true # SQL合并配置
      stat-view-servlet:
        enabled: false
        login-username: admin
        login-password: 123456
    #redis
  redis:
    host: redis
    port: 6379
    password: 123456
    database: 0
    timeout: 30000
    lettuce:
      pool:
        max-active: 10
        max-idle: 5
        min-idle: 2
        max-wait: 3000

qifu:
  eg:
    one-seven-track:
      enable: false
      key: ${ONE_SEVEN_KEY}
    kuaidi-ozz:
      enable: true
      callback-url: ${change.kuaidi-ozz.callback-url}
      customer: ${change.kuaidi-ozz.customer}
      key: ${change.kuaidi-ozz.key}
      secret: ${change.kuaidi-ozz.secret}
    track-one-two-three:
      enable: true
      api-secret: ${change.track-ott.api-secret}

    wework-map:
      keyfil:
        token: NG4Vcr
        corp-id: ww3ea89275951efdf1
        aes-key: 7RzIdfVg3rQggEjrk54Ccg7WDbNFXuHtQmdfO487MtA
        agent-id: 1000004
        secret: o1AyujE88S9QE-Tk699f2FkK3QjlUM5P39v9NpQ3wxc

rocketmq:
  name-server: rocketmq.qifu.com:30938
  producer:
    group: qifu-saas-eg
    namespace: dev
  consumer:
    group: qifu-saas-eg
    namespace: dev